package com.qmth.exam.reserve.controller.admin;

import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

import com.qmth.boot.api.annotation.Aac;
import com.qmth.boot.api.constant.ApiConstant;
import com.qmth.boot.core.collection.PageResult;
import com.qmth.exam.reserve.bean.login.LoginUser;
import com.qmth.exam.reserve.bean.task.ApplyTaskReq;
import com.qmth.exam.reserve.bean.task.ApplyTaskVO;
import com.qmth.exam.reserve.controller.BaseController;
import com.qmth.exam.reserve.service.ApplyTaskService;

import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import io.swagger.annotations.ApiParam;

@RestController
@Api(tags = "预约任务相关接口")
@RequestMapping(ApiConstant.DEFAULT_URI_PREFIX + "/admin/apply/task")
@Aac(strict = false, auth = false)
public class ApplyTaskController extends BaseController {

    @Autowired
    private ApplyTaskService applyTaskService;

    @ApiOperation(value = "预约任务查询")
    @PostMapping(value = "/page")
    public PageResult<ApplyTaskVO> page(@RequestBody ApplyTaskReq req) {
        return applyTaskService.page(req);
    }

    @ApiOperation(value = "预约任务编辑查询")
    @PostMapping(value = "/find")
    public ApplyTaskVO find(@ApiParam("预约任务ID") @RequestParam Long id) {
        return applyTaskService.find(id);
    }

    @ApiOperation(value = "基础规则新增/编辑")
    @PostMapping(value = "/rule/save")
    public String ruleSave(@RequestBody ApplyTaskReq req) {
        LoginUser user = this.curLoginUser();
        applyTaskService.ruleSave(req, user);
        return "success";
    }

    @ApiOperation(value = "预约时段新增/编辑")
    @PostMapping(value = "/time/save")
    public String timeSave() {
        return "success";
    }

    @ApiOperation(value = "考试说明新增/编辑")
    @PostMapping(value = "/notice/save")
    public String noticesave() {
        return "success";
    }

    @ApiOperation(value = "预约任务启用/禁用")
    @PostMapping(value = "/enable")
    public String enable() {
        return "success";
    }

    public static void main(String[] args) {
        System.out.println(System.currentTimeMillis());
    }
}
